C------------------------------------------------------------------------------
C ntemp.for
C------------------------------------------------------------------------------
C  4 May 2009 - replaced REAL*8 with DOUBLE PRECISION
C 19 Mar 2008 - Converted a Hollerith to quotes
C 19 Mar 2008 - Changed DTID to TID for consistency.
C 26 Jul 2006 - Added CALL IPTEMP
C 26 Jul 2006 - CORRECTIONS
C 25 Jul 2006 - Corrected entry point name and added call to setptmp
C 12 Jul 2006 - corrected error
C------------------------------------------------------------------------------
      SUBROUTINE NTEMP
C------------------------------------------------------------------------------
C     DO-NOTHING TEMPERATURE MODEL
      implicit DOUBLE PRECISION (a-h,o-z)
C
C     COMMON DECK "WW" INSERTED HERE
      common/ww/ dum(10),maxw,w(1000)
C
C     TEMPERATURE    200-224
      EQUIVALENCE (W(200),TMODEL),(W(201),TFORM),(W(202),TID)
C
C     COMMON DECK "TT" INSERTED HERE       ! 12 Jul 2006
      REAL(KIND=8) :: MODT
      COMMON/TT/MODT(4),T,PTT,PTR,PTTH,PTPH

C     COMMON DECK "B5" INSERTED HERE
      INTEGER TMX,TNTBL,TITBL,TFRMTBL,IDST(10)
      COMMON/B5/TMX,TNTBL(10),TITBL(10),TFRMTBL(10),TGP(262)
      EQUIVALENCE (TGP,IDST),(ANT,TGP(11))
      INTEGER TYMX,TYNTBL(10),TYITBL(10),TYFRMTBL(10)
C
      DATA RECOGT/0.d0/
      DATA TYMX/1/
      DATA TYNTBL/1,11,8*0/
      DATA TYITBL/1,9*0/
      DATA TYFRMTBL/1,9*0/
C                           
      ENTRY SETTMP ! 25 Jul 2006
      TMX=TYMX             
      CALL IMOVE(TNTBL,TYNTBL,10)  
      CALL IMOVE(TITBL,TYITBL,10)  
      CALL IMOVE(TFRMTBL,TYFRMTBL,10) ! 26 Jul 2006 
      CALL setpTmp ! 25 Jul 2006
      RETURN                        
C
      ENTRY ITEMP
      IF(idint(RECOGT) .NE. idint(TMODEL))
     1    CALL RERROR('TEMP  ','WRNG MODEL',RECOGT)
C
      MODT(1)='NTEMP'                                              ! 19 Mar 2008
      MODT(2)=TID                                                  ! 19 Mar 2008
      CALL IPTEMP ! 26 Jul 2006
      RETURN
C
      ENTRY TEMP
      RETURN
      END
